Segments
List
GET
/
api
/
v1
/
segments
/
List
curl --request GET \
--url https://api.main.apexscore.ai/api/v1/segments/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.main.apexscore.ai/api/v1/segments/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.main.apexscore.ai/api/v1/segments/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"portfolio": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"configurations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"report_name": "<string>",
"report_issued_at": "2023-11-07T05:31:56Z"
}
],
"description": "<string>"
}
],
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A page number within the paginated result set.
Number of results to return per page.
Previous
CreateCreate a segment for a specified portfolio.
If configurations are provided, they will be added to the segment.
Any configurations passed that do not belong to the specified portfolio will be IGNORED.
Next
⌘I
List
